using System.Windows.Forms;
using FastReport.Export;
using FastReport.Export.Mht;
using FastReport.Utils;


namespace FastReport.Forms
{
    /// <summary>
    /// Form for <see cref="MHTExport"/>.
    /// For internal use only.
    /// </summary>
    public partial class MHTExportForm : BaseExportForm
    {
        /// <inheritdoc/>
        public override void Init(ExportBase export)
        {
            base.Init(export);
            MHTExport MHTExport = Export as MHTExport;
            cbWysiwyg.Checked = MHTExport.Wysiwyg;
            cbPictures.Checked = MHTExport.Pictures;
        }
        
        /// <inheritdoc/>
        protected override void Done()
        {
            base.Done();
            MHTExport MHTExport = Export as MHTExport;
            MHTExport.Wysiwyg = cbWysiwyg.Checked;
            MHTExport.Pictures = cbPictures.Checked;
        }
        
        /// <inheritdoc/>
        public override void Localize()
        {
            base.Localize();
            MyRes res = new MyRes("Export,Mht");
            Text = res.Get("");
            res = new MyRes("Export,Misc");
            gbOptions.Text = res.Get("Options");
            cbWysiwyg.Text = res.Get("Wysiwyg");
            cbPictures.Text = res.Get("Pictures");            
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="MHTExportForm"/> class.
        /// </summary>
        public MHTExportForm()
        {
            InitializeComponent();
        }
    }
}

